.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the StreamTexture.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_StreamTexture:

StreamTexture
=============

**Inherits:** :ref:`Texture<class_texture>` **<** :ref:`Resource<class_resource>` **<** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

A .stex texture.

Member Variables
----------------

  .. _class_StreamTexture_load_path:

- :ref:`String<class_string>` **load_path** - The StreamTexture's filepath to a .stex file.


Description
-----------

A texture that is loaded from a .stex file.

